<bugID>339441<Summary>Search suggestions could generate less traffic (change polling frequency)</Summary><Description>User-Agent:       Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.8.0.4) Gecko/20060508 Firefox/1.5.0.4
Build Identifier: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.8.0.4) Gecko/20060508 Firefox/1.5.0.4

Current search suggestion timeout is 50ms. This is very short, and means that if you quickly type something, lots of suggest requests are made while you type.
For instance, while typing "firefox" as fast as I can, I could rarely get less that 4 requests to the search service.

Less traffic could be wasted if the timeout was a bit longer, so that it would not ask for completion requests while writing a search phrase.

Of course, this is a compromise between bandwidth consumption and interactivity, but I think the current situation is not optimal (150ms could be a good compromise).

Reproducible: Always</Description></bugID>